//所有下级组织ID
var allSubOrgIDs = "";
var orgLongNum = "";
shr.defineClass("shr.ats.PunchCardRecordListEx", shr.ats.PunchCardRecordList, {

	reportUipk: "com.kingdee.eas.hr.ats.app.PunchCardRecord.list",
	isFirstTimeLoad: true,
	initalizeDOM: function () {
		shr.ats.PunchCardRecordListEx.superClass.initalizeDOM.call(this);
	},
	syncCardByC3Action: function () {
		var _self = this;

		openLoader(1, "同步打卡中...");
		shr.callService({
			serviceName: "cardToShrOSFService",
			param: { "minusMinutes": "10" },
			async: true,
			success: function (data) {
				closeLoader();

				shr.showInfo({
					message: "同步打卡完成！",
					hideAfter: 3
				});

			}

		});
	},
});



/**
 * 从Cookie中获取Session Id，解决上传文件302错误
 * @returns
 */
function getJSessionCookie() {
	var array = document.cookie.split(";");
	for (var i = 0; i < array.length; i++) {
		if (array[i].indexOf("JSESSIONID") >= 0) {
			return array[i].trim();
		}
	}
	return "";
}








